<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Predictores de saltos, IE-0521: Fichero Fuente include/hglobal.hpp</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Predictores de saltos, IE-0521
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generado por Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Buscar');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Buscar');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d44c64559bbebec7f509842c48db8b23.html">include</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">hglobal.hpp</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="preprocessor">#ifndef HGLOBAL_H</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="preprocessor">#define HGLOBAL_H</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#include &quot;predictor.hpp&quot;</span></div><div class="line"><a name="l00009"></a><span class="lineno"><a class="line" href="classhglobal.html">    9</a></span>&#160;<span class="keyword">class </span><a class="code" href="classhglobal.html">hglobal</a>: <span class="keyword">public</span> <a class="code" href="classpredictor.html">predictor</a>{</div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00012"></a><span class="lineno"><a class="line" href="classhglobal.html#abef883f8f6310d7f54bf423c6f95dc27">   12</a></span>&#160;    <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classhglobal.html#abef883f8f6310d7f54bf423c6f95dc27">gh_mask</a>;</div><div class="line"><a name="l00016"></a><span class="lineno"><a class="line" href="classhglobal.html#a1ee60cf983ca30b0d977520f450c109e">   16</a></span>&#160;    <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classhglobal.html#a1ee60cf983ca30b0d977520f450c109e">gh</a>;</div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;    <a class="code" href="classhglobal.html#af2892a606405043d459103ca896c0995">hglobal</a>(<span class="keywordtype">int</span> s, <span class="keywordtype">int</span> gh);</div><div class="line"><a name="l00024"></a><span class="lineno"><a class="line" href="classhglobal.html#af2892a606405043d459103ca896c0995">   24</a></span>&#160;    <a class="code" href="classhglobal.html#af2892a606405043d459103ca896c0995">hglobal</a>(){};</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;    <a class="code" href="classhglobal.html#a2b8c2980f9deb4c04422483520ee75d7">~hglobal</a>();</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;    <span class="keywordtype">char</span> <a class="code" href="classhglobal.html#a546ffe761dd6d870ec980192ddabefd1">prediccion</a>(<span class="keywordtype">long</span> progctr,<span class="keywordtype">char</span> decision);</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;};</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;<span class="preprocessor">#endif</span></div><div class="ttc" id="classhglobal_html_abef883f8f6310d7f54bf423c6f95dc27"><div class="ttname"><a href="classhglobal.html#abef883f8f6310d7f54bf423c6f95dc27">hglobal::gh_mask</a></div><div class="ttdeci">unsigned int gh_mask</div><div class="ttdef"><b>Definition:</b> hglobal.hpp:12</div></div>
<div class="ttc" id="classhglobal_html"><div class="ttname"><a href="classhglobal.html">hglobal</a></div><div class="ttdef"><b>Definition:</b> hglobal.hpp:9</div></div>
<div class="ttc" id="classpredictor_html"><div class="ttname"><a href="classpredictor.html">predictor</a></div><div class="ttdef"><b>Definition:</b> predictor.hpp:11</div></div>
<div class="ttc" id="classhglobal_html_a546ffe761dd6d870ec980192ddabefd1"><div class="ttname"><a href="classhglobal.html#a546ffe761dd6d870ec980192ddabefd1">hglobal::prediccion</a></div><div class="ttdeci">char prediccion(long progctr, char decision)</div></div>
<div class="ttc" id="classhglobal_html_a1ee60cf983ca30b0d977520f450c109e"><div class="ttname"><a href="classhglobal.html#a1ee60cf983ca30b0d977520f450c109e">hglobal::gh</a></div><div class="ttdeci">unsigned int gh</div><div class="ttdef"><b>Definition:</b> hglobal.hpp:16</div></div>
<div class="ttc" id="classhglobal_html_af2892a606405043d459103ca896c0995"><div class="ttname"><a href="classhglobal.html#af2892a606405043d459103ca896c0995">hglobal::hglobal</a></div><div class="ttdeci">hglobal()</div><div class="ttdef"><b>Definition:</b> hglobal.hpp:24</div></div>
<div class="ttc" id="classhglobal_html_a2b8c2980f9deb4c04422483520ee75d7"><div class="ttname"><a href="classhglobal.html#a2b8c2980f9deb4c04422483520ee75d7">hglobal::~hglobal</a></div><div class="ttdeci">~hglobal()</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generado por &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
